#-------------------------------------------------
#
# Project created by QtCreator 2014-02-12T16:04:50
#
#-------------------------------------------------

QT       += core gui webkit sql network dbus xml script
TARGET = qt_softwarecenter
TEMPLATE = app
CONFIG +=C++11
CONFIG += link_pkgconfig
PKGCONFIG =  dbus-1  glib-2.0 dbus-glib-1 polkit-gobject-1 gio-2.0 gobject-2.0
LIBS += -lapt-pkg -lqjson

SOURCES += main.cpp\
        mainwindow.cpp \
    taskinfo.cpp \
    tasklist.cpp \
    js.cpp \
    taskmanager.cpp\
    softwaredao.cpp \
    checker.cpp \
    scanningsofts.cpp \
    qmessagedialog.cpp \
    aboutdialog.cpp \
    isoftwaredao.cpp \
    isoftwaremanager.cpp \
    pkgupdatemanage.cpp \
    softcategorydao.cpp \
    jscallqt.cpp \
    apttaskmanager.cpp \
    qtcalljs.cpp\
    aptsourcedevicemanage.cpp \
    localsoftwaremanager.cpp \
    appdataupgrade.cpp \
    downloadfile.cpp \
    networkcheck.cpp \
    searchlogdao.cpp \
    netcardphyconcheck.cpp \
    apttaskdialog.cpp \
    repomanager.cpp \
    commentstatusdao.cpp \
    feedbackdialog.cpp \
    qpopbutton.cpp \
    qmyedit.cpp \
    terminalpkgactionmonitor.cpp \
    IMenu.cpp \
    updatelogdialog.cpp \
    errordialog.cpp \
    usersettings.cpp \
    reposwitch.cpp \
    warningdialog.cpp \
    mydownload.cpp


HEADERS  += mainwindow.h \
    taskinfo.h \
    tasklist.h \
    js.h \
    taskmanager.h\
    sqlite.h \
    softwaremodel.h \
    softwaredao.h \
    common.h \
    checker.h \
    scanningsofts.h \
    qmessagedialog.h \
    aboutdialog.h \
    isoftwaremodel.h \
    isoftwaredao.h \
    isoftwaremanager.h \
    pkgupdatemanage.h \
    softcategorymodel.h \
    softcategorydao.h \
    jscallqt.h \
    apttaskmanager.h \
    qtcalljs.h\
    aptsourcedevicemanage.h \
    localsoftwaremanager.h \
    appdataupgrade.h \
    downloadfile.h \
    networkcheck.h \
    searchlog.h \
    searchlogdao.h \
    netcardphyconcheck.h \
    apttaskdialog.h\
    ui_mainwindow.h \
    datapage.hpp \
    basemanager.hpp \
    sqlsession.hpp \
    repomanager.h \
    commentstatus.h \
    commentstatusdao.h \
    feedbackdialog.h \
    qpopbutton.h \
    qmyedit.h \
    terminalpkgactionmonitor.h \
    imenu.h \
    updatelogdialog.h \
    errordialog.h \
    usersettings.h \
    uploadofflinecomment.h \
    reposwitch.h \
    warningdialog.h \
    mydownload.h



FORMS    += qmessagedialog.ui \
    aboutdialog.ui \
    apttaskdialog.ui \
    feedbackdialog.ui \
    updatelogdialog.ui \
    errordialog.ui \
    usersettings.ui \
    warningdialog.ui

RESOURCES += \
    skin.qrc

OTHER_FILES += \
    apt-get-bash.py \
    apt-get-sudo.py \
    apt-get_wrapper.py \
    systray.py\
    systray_rc.py\
    check.sh \
    closeProcess.sh \
    softwarecenter.db \
    data/*\
    html/*\
    html/js/*\
    html/js/popup/*\
    html/js/fancyzoom/resources/* \
    html/js/fancyzoom/* \
    html/js/jrating/icons/* \
    html/js/jrating/* \
    html/js/artDialog/* \
    html/js/artDialog/skins/* \
    html/js/artDialog/skins/blue/* \
    html/js/artDialog/skins/blue/ie6/* \
    html/js/artDialog/skins/icons/* \
    html/css/*\
    html/images/*\
    html/*\
    html/js/*\
    html/js/popup/*\
    html/js/fancyzoom/resources/* \
    html/js/fancyzoom/* \
    html/js/jrating/icons/* \
    html/js/jrating/* \
    html/js/artDialog/* \
    html/js/artDialog/skins/* \
    html/js/artDialog/skins/blue/* \
    html/js/artDialog/skins/blue/ie6/* \
    html/js/artDialog/skins/icons/* \
    html/css/*\
    html/images/*\
    html/js/common.js \
    html/js/jscallqt.js \
    html/js/qtcalljs.js

