var STATUS_ERROR = -1;             //错误
var STATUS_CAN_BE_INSTALLED = 1;   //安装
var STATUS_INSTALLING  = 2;        //正在安装
var STATUS_INSTALLED  = 3;         //已安装
var STATUS_CAN_BE_REMOVED = 4;     //卸载
var STATUS_REMOVING  = 5;          //正在卸载
var STATUS_REMOVED  = 6;           //已卸载
var STATUS_CAN_BE_UPGRADED  = 7;   //升级
var STATUS_UPGRADING = 8;          //正在升级
var STATUS_UPGRADED = 9;           //已升级
var STATUS_CAN_BE_CANCEL = 10;     //取消
var STATUS_CANCELING = 11;         //正在取消
var STATUS_CANCELED = 12;          //已取消
var STATUS_CAN_BE_PAUSE = 13;      //暂停
var STATUS_PAUSING = 14;           //正在暂停
var STATUS_PAUSED = 15;            //已暂停

var IGNORED_NO = 0;                 //非忽略软件
var IGNORED_YES = 1;                //忽略软件

var SYS_NO = 0;                     //非系统软件
var SYS_YES = 1;                    //系统软件

var RECOMMEND_NO = 0;               //非推荐软件
var RECOMMEND_YES = 1;              //推荐软件

var RECORD_NO = 0;                  //非录入软件
var RECORD_YES = 1;                 //录入软件

var OFFLINE_YES = -1;               //离线软件
var OFFLINE_NO = 0;                 //非离线软件
var OFFLINE_LOCAL = 1;              //本地源

var SORT_FIELD_TITLE = "title";     //名称
var SORT_FIELD_SIZE = "size";       //大小
var SORT_FIELD_STAR = "score/ratercount";               //星级
var SORT_FIELD_TIME = "checkedTime";                    //上新时间

var SORT_ASC = "asc";               //升序
var SORT_DESC = "desc";             //倒序

$(function(){
    document.onclick=function(){Cos.jsHideAptTaskDialog();}
    $(".installSoftware").not('.pauseAPTTask .openSoftware').on('click', function(){
        installSoftware_click($(this));
    });

    $(".removeSoftware").not('.pauseAPTTask').on('click', function(){
        removeSoftware_click($(this));
    });

    $(".ignoreSoftware").on('click', function(){
        ignoreSoftware_click($(this));
    });

    $(".recoverSoftware").on('click', function(){
        recoverSoftware_click($(this));
    });

    $(".upgradeSoftware").not('.pauseAPTTask').on('click', function(){
        upgradeSoftware_click($(this));
    });

    $(".cancelAPTTask").on('click', function(){
        cancelAPTTask_click($(this));
    });

    $(".pauseAPTTask").on('click', function(){
        pauseAPTTask_click($(this));
    });

    $(".fl_img img").error(function(){
        img_error($(this));
    });
    $(".openSoftware").on("click", function(){
	opensoftware_click($(this));
    });
	
    $(".table_d_tittle").click(function(){
        if($(this).next().css("display") === "none"){
        $(".table_d_tittle").next().hide();
            $(this).next().show();
        }else {
            $(this).next().hide();
        }
    	maxSize(27);
    });
    
    $(".hideAPTTask_small").click(function(){
        hideAPTTask_small_click($(this));
    });

    $(".showAPTTask_page").click(function(){
        showAPTTask_page_click($(this));
    });
});
function setText(obj, text){
	if(obj.is('a')){
		obj.text(text);
	}else{
		obj.val(text);
	}
}

function open_application_by_cmd(cmd)
{
    openApp(cmd);
}

function opensoftware_click(object){
    if(object.attr("packageName") == "wps-office" ||
        object.attr("packageName") == "kingsoft-office"  )
    {
        $.artDialog.open('wps.html', {
            id:"pen_wps",
            width:280,
            height: 210,
            title: '',
            padding: '0',
            lock:true
        }, false);

        return;
    }

	setText(object,"正在打开");
	object.attr("disabled",true).addClass("disabled");
	window.setTimeout(function(){
		setText(object,"打开");
		object.removeAttr("disabled").removeClass("disabled");
	}, 3000);
        openSoftware(object.attr("packageName"));
}
function installSoftware_click(object){
    if(object.attr("packageName") == "fglrx")
        {
            if(!checkGraphicsType()){
                $.artDialog.alert(object.attr("title") + "不适合您的机器！");
                return;
            }
    }

    var e = event || window.event;
    var x = e.screenX;
    var y = e.screenY;
    if(!object.hasClass("disabled") && !object.hasClass("openSoftware")){
        if(getOffline() === OFFLINE_YES){
            $.artDialog.alert("系统未联网或没有外设源！请联网或插入外设源后再尝试安装。");
        }else {
	    if($(".showAPTTasks_small").size() > 0){
		object.val("||").removeClass("btn_continue").addClass("btn_pause").addClass("pauseAPTTask");
	    }else{
                    animation(object.attr("software"),x,y);
		object.addClass("disabled");
		setText(object,"正在安装");
	    }
            
            changeProgressSingle(0, object.attr("software"), STATUS_INSTALLING, "等待");
            installSoftware(object.attr("software"), object.attr("cversion"));
 	    $.getJSON(urls.url+"/updateSoftwareCount_JSON.action",{swid:object.attr("swid"), type:"install"});
        }
    }
}

function removeSoftware_click(object){
    var e = event || window.event;
    var x = e.screenX;
    var y = e.screenY;
    if(!object.hasClass("disabled")){
        if(object.hasClass("btn_continue")){
            if($(".showAPTTasks_small").size() > 0){
                    object.val("||").removeClass("btn_continue").addClass("btn_pause").addClass("pauseAPTTask");
            }else{
                    object.addClass("disabled");
                    setText(object,"正在卸载");
            }
            changeProgressSingle(0, object.attr("packageName"), STATUS_REMOVING, "等待");
            removeSoftware(object.attr("packageName"), object.attr("cv"));
            return;
        }

        if(Cos.getProcessIsRunning(object.attr("packageName")))
        {
            $.artDialog.alert(object.attr("title") + "正在运行，请先关闭该程序！");
            return;
        }
        if(parseInt(object.attr("sys")) === SYS_YES){
            $.artDialog.alert(object.attr("title") + " 是系统相关软件，卸载将影响系统正常使用，不允许卸载！");
        }else {
            $.artDialog.confirm("   是否确认卸载"+object.attr("title")+" ？  ",function(){
                     animation(object.attr("packageName"), x, y);
                    if($(".showAPTTasks_small").size() > 0){
                            object.val("||").removeClass("btn_continue").addClass("btn_pause").addClass("pauseAPTTask");
                    }else{
                            object.addClass("disabled");
                            setText(object,"正在卸载");
                    }
                    changeProgressSingle(0, object.attr("packageName"), STATUS_REMOVING, "等待");
                    removeSoftware(object.attr("packageName"), object.attr("cv"));
           });
        }
    }
}

function ignoreSoftware_click(object){
    ignoreSoftware(object.attr("packageName"), object.attr("nv"));
}

function recoverSoftware_click(object){
    recoverSoftware(object.attr("packageName"), object.attr("nv"));
}

function showIgnoredSoftware(packageName, ignored){
    if(ignored === IGNORED_YES){
        $(".showUpgradeSoftwares.ignored").prepend($(".showUpgradeSoftwares [id='" + packageName + "']"));
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_recover").show();
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_ignore").hide();
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_upgrade").hide();
        $(".upgrade_total_count").text(parseInt($(".upgrade_total_count").first().text()) - 1);
        $(".canBeUpgraded_count").text(parseInt($(".canBeUpgraded_count").first().text()) - 1);
        $(".ignored_count").text(parseInt($(".ignored_count").first().text()) + 1);
       // $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_recover").parents().next().html('');
    }else {
        $(".showUpgradeSoftwares.canBeUpgraded").prepend($(".showUpgradeSoftwares [id='" + packageName + "']"));
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_recover").hide();
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_ignore").show();
        $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_upgrade").show();
        $(".upgrade_total_count").text(parseInt($(".upgrade_total_count").first().text()) + 1);
        $(".canBeUpgraded_count").text(parseInt($(".canBeUpgraded_count").first().text()) + 1);
        $(".ignored_count").text(parseInt($(".ignored_count").first().text()) - 1);
    }
}
function upgradeSoftware_click(object){
    var e = event || window.event;
    var x = e.screenX;
    var y = e.screenY;

    if(object.attr("packageName") == "fglrx")
    {
        $.artDialog.confirm(" AMD显卡驱动升级过程中无法重新配置配置文件，该升级任务将自动执行卸载后重新安装，是否继续？  ",function(){
            animation(object.attr("packageName"),x,y);
            setbFglrxUpgradeTrue() ;
            removeSoftware("fglrx", "");
       });
    }else{
        if(!object.hasClass("disabled")){
            if(object.hasClass("btn_continue")){
                if($(".showAPTTasks_small").size() > 0){
                object.val("||").removeClass("btn_continue").addClass("btn_pause").addClass("pauseAPTTask");
                }else{
                object.addClass("disabled");
                setText(object,"正在升级");
                }
                    changeProgressSingle(0, object.attr("packageName"), STATUS_UPGRADING, "等待");
                    upgradeSoftware(object.attr("packageName"), object.attr("nv"));
                return;
            }

            if(getOffline() === OFFLINE_YES){
                $.artDialog.alert("系统未联网或没有外设源！请联网或插入外设源后再尝试升级。");
            }else {
                animation(object.attr("packageName"),x,y);
            if($(".showAPTTasks_small").size() > 0){
            object.val("||").removeClass("btn_continue").addClass("btn_pause").addClass("pauseAPTTask");
            }else{
            object.addClass("disabled");
            setText(object,"正在升级");
            }
                changeProgressSingle(0, object.attr("packageName"), STATUS_UPGRADING, "等待");
                upgradeSoftware(object.attr("packageName"), object.attr("nv"));
            }
        }
    }
}

function cancelAPTTask_click(object){
    if(!object.hasClass("disabled")){
	if($(".showAPTTasks_small").size() > 0){
		object.addClass("disabled");
		object.parent().parent().remove();
	}else{
		object.addClass("disabled").val("正在取消");
	}
        cancelAPTTask(object.attr("software"), object.attr("cversion"));
    }
}

function pauseAPTTask_click(object){
    if(!object.hasClass("disabled")){
	if($(".showAPTTasks_small").size() > 0){
		object.removeClass("disabled").removeAttr("disabled").val("►").removeClass("pauseAPTTask btn_pause").addClass("btn_continue");
	}else{
		object.addClass("disabled").val("正在暂停");
	}
        pauseAPTTask(object.attr("software"), object.attr("cversion"));
    }
}

function img_error(object){
    object.attr("src", "../data/images/default.png");
}

function hideAPTTask_small_click(object){
    hideAPTTask_small();
}

function showAPTTask_page_click(object){
    showAPTTask_page();
}

/**
  搜索功能
*/
function searchLocalSoftwares(keyword){
    if($(".showRecommendISoftwares").length
            || $(".showISoftwares").length
            || $(".showSoftware").length
            || $(".showAPTTasks").length){
        window.location.href = "./list_softwares.html?keyword=" + keyword;
    }else if($(".showRemoveSoftwares").length){
        window.location.href = "./list_removesoftwares.html?keyword=" + keyword;
    }else if($(".showUpgradeSoftwares").length){
        window.location.href = "./list_upgradesoftwares.html?keyword=" + keyword;
    }
}

function showSoftCategories(softCategories){
    var totalCount = 0;
    for(var index in softCategories){
        var html_str = "";

        html_str += "<li id='softCategoryID_" + softCategories[index].id + "' class='icon_" + softCategories[index].id + "'>"
                + "<a href='list_softwares.html?categoryId=" + softCategories[index].id + "'>"
                + softCategories[index].title + "(" + softCategories[index].count + ")"
                + "</a>"
                + "</li>";

        $(".showSoftCategories").after(html_str);
        totalCount += parseInt(softCategories[index].count);
    }
    $(".showSoftCategories").after("<li id='softCategoryID_' class='icon_' ><a href='list_softwares.html?categoryId=-1'>所有软件(" + totalCount + ")</a></li>");
}

function showSoftCategory(softCategory){
    $("#subc").text(softCategory.title);
}

function showRecommendISoftwares(isoftwares){
    for(var index in isoftwares){
        var html_str = "";

        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;

        var software = isoftwares[index].software;
        var title = isoftwares[index].title;
        title = $.textCut(title, 14, true, "...");
        var cversion = isoftwares[index].cversion;
        cversion = $.textCut(cversion, 12, true, "...");
        var short_desc = isoftwares[index].short_desc;
        //short_desc = short_desc.length > 26 ? $.trim(short_desc).substring(0, 26) + "..." : short_desc;
        short_desc = $.textCut(short_desc, 26, true, "...");
        var average = $.averageScore(isoftwares[index].score, isoftwares[index].ratercount);

        html_str += "<li id='" + software + "'>"
                + "<img src='../data/images/" + software + "/icon' />"
                + "<h3><a href='javascript:_viewSoftware(\""+software+"\")'>" + title + "</a></h3>"
                + "<span>"+$.textCut(decodeURIComponent(isoftwares[index].ctitle), 14,true)+"</span>"
                + "<p><a btype='install' class='btn_comm btn03 installSoftware'";
        
        html_str += " software='" + software + "'"
                + " cversion='" + isoftwares[index].cversion + "'"
                + " packageName='" + software + "'"
                + " nv='" + isoftwares[index].cversion + "'"
                + " >安装</a>"
                + "</p>"
                + "</li>";

        $(".showRecommendISoftwares").append(html_str);
    }
}

function showTopISoftwares(isoftwares){
    for(var index in isoftwares){
        var html_str = "";

        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;

        var software = isoftwares[index].software;
        var title = isoftwares[index].title;
        title = $.textCut(title, 10, true, "...");
        var cversion = isoftwares[index].cversion;
        cversion = $.textCut(cversion, 12, true, "...");
        var short_desc = isoftwares[index].short_desc;
        //short_desc = short_desc.length > 26 ? $.trim(short_desc).substring(0, 26) + "..." : short_desc;
        short_desc = $.textCut(short_desc, 26, true, "...");
        var average = $.averageScore(isoftwares[index].score, isoftwares[index].ratercount);

        html_str += "<li id='" + software + "'>";
        if(index < 3){
            html_str += "<span class='num_p top_red'>";
        }else{
            html_str += "<span class='num_p'>";
        }
        html_str += (parseInt(index) + 1)
                + "</span>"
                + "<a href='javascript:_viewSoftware(\""+software+"\")' class='img_link'>"
                //+ "<a href='view_software.html?software=" + software + "' class='img_link'>"
                + "<img src='../data/images/" + software + "/icon' />"
                +  title
                + "</a>"
                + "</li>";
        $(".showTopISoftwares").append(html_str);
    }
}

function showISoftwares(isoftwares){
    for(var index in isoftwares){
        var html_str = "";

        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;

        var software = isoftwares[index].software;
        var softwareStatus = isoftwares[index].softwareStatus;
        var title = isoftwares[index].title;
        title = $.textCut(title, 20, true, "...");
        var cversion = isoftwares[index].cversion;
        cversion = $.textCut(cversion, 15, true, "...");
        var short_desc = isoftwares[index].short_desc;
        //short_desc = short_desc.length > 26 ? $.trim(short_desc).substring(0, 26) + "..." : short_desc;
        short_desc = $.textCut(short_desc, 26, true, "...");
        var average = $.averageScore(isoftwares[index].score, isoftwares[index].ratercount);

        html_str += "<tr id='" + software + "'>"
                + "<td style='text-align:left'>"
                + "<a href='javascript:_viewSoftware(\""+software+"\")'>"
                + "<span class='fl_img' title='" + isoftwares[index].short_desc + "'><img src='../data/images/" + software + "/icon' /></span>"
                + title
                + "</a>";
        if(isoftwares[index].recommend === RECOMMEND_YES){
            //html_str += "<img src='images/tj.png' style='margin-left:5px' />";    //样式不能正确显示
        }
        html_str += "</td>"
                //+ "<td class='short_desc'>" + short_desc + "<a href='javascript:_viewSoftware(\""+software+"\")' class='link_see'>详细</a></td>"
                + "<td>" + $.convertFromkb(isoftwares[index].size) + "</td>"
                + "<td>" + cversion + "</td>"
                + "<td>";
        html_str += "<div class='star_bg'><span style='width:" + average*10 + "%' title='" + average + " 分 '></span></div>";
        html_str += "</td>";
        //html_str += "<td colspan='2' class='changeProgress'><div class='bar_w'></div></td>";
        //html_str += "<td class='presenter'>" + isoftwares[index].presenter + "</td>";
        //html_str += "<td class='auditor'>" + isoftwares[index].auditor + "</td>";
        html_str += "<td style='text-align:center;'>"
                + "<input type='button' btype='install' ";
        if(isoftwares[index].softwareStatus === STATUS_CAN_BE_INSTALLED){
            html_str += " value='安装' class='btn_comm btn03 installSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_INSTALLING){
            html_str += " value='正在安装' class='btn_comm btn03 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_INSTALLED){
			if(!!isoftwares[index].method && isoftwares[index].method == 1){
				html_str += " value='打开' class='btn_comm  btn01 openSoftware '";
			}else{
				html_str += " value='已安装' class='btn_comm  btn01 disabled' disabled='true'";
			}
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_REMOVED){
            html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_REMOVING){
            html_str += " value='正在卸载' class='btn_comm btn02 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_REMOVED){
            html_str += " value='已卸载' class='btn_comm btn02 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_UPGRADED){
            html_str += " value='升级' class='btn_comm btn03 upgradeSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_UPGRADING){
            html_str += " value='正在升级' class='btn_comm btn03 disabled upgradeSoftware' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_UPGRADED){
            html_str += " value='已升级' class='btn_comm btn03 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_CANCEL){
            if(APT_CANCEL_STATUS === "yes"){
                html_str += " value='取消' class='btn_comm cancelAPTTask'";
            }else {
                html_str += " value='取消' class='btn_comm disabled' disabled='true'";
            }
        }else if(isoftwares[index].softwareStatus === STATUS_CANCELING){
            html_str += " value='正在取消' class='btn_comm disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CANCELED){
            html_str += " value='已取消' class='btn_comm disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_PAUSE){
            if(APT_PAUSE_STATUS === "yes"){
                html_str += " value='暂停' class='btn_comm btn03 pauseAPTTask'";
            }else {
                html_str += " value='暂停' class='btn_comm btn03 disabled' disabled='true'";
            }
        }else if(isoftwares[index].softwareStatus === STATUS_PAUSING){
            html_str += " value='正在暂停' class='btn_comm btn03 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_PAUSED){
            html_str += " value='继续' class='btn_comm btn03 disabled' disabled='true'";
        }
        html_str += " software='" + software + "'"
                + " cversion='" + isoftwares[index].cversion + "'"
                + " packageName='" + software + "'"
                + " nv='" + isoftwares[index].cversion + "'"
                + " />";
        html_str += "<div class='changeProgress'><div class='bar_w'></div></div>"
                + "</td>";
        html_str += "<td class='changeAptExecType'></td>"
                + "</tr>";
        $(".showISoftwares").append(html_str);

        if(softwareStatus === STATUS_INSTALLING || softwareStatus === STATUS_REMOVING
                || softwareStatus === STATUS_UPGRADING){
            $(".showISoftwares [id='" + software + "'] .changeProgress").show();
            //$(".showISoftwares [id='" + software + "'] .presenter").hide();
            //$(".showISoftwares [id='" + software + "'] .auditor").hide();
            //$(".showISoftwares [id='" + software + "'] .star_bg").hide();
            $(".showISoftwares [id='" + software + "'] .btn_comm").hide();
            $(".showISoftwares [id='" + software + "'] .changeAptExecType").empty().append("执行中");
        }else{
            $(".showISoftwares [id='" + software + "'] .changeProgress").hide();
            //$(".showISoftwares [id='" + software + "'] .presenter").show();
            //$(".showISoftwares [id='" + software + "'] .auditor").show();
            //$(".showISoftwares [id='" + software + "'] .star_bg").show();
            $(".showISoftwares [id='" + software + "'] .btn_comm").show();
            $(".showISoftwares [id='" + software + "'] .changeAptExecType").empty();
        }
    }
}

function showSoftware(isoftwares){
    for(var index in isoftwares){
        var html_str = "";

        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;

        var software = isoftwares[index].software;
        var title = isoftwares[index].title;
        //title = $.textCut(title, 18, true, "...");
        var cversion = isoftwares[index].cversion;
        cversion = $.textCut(cversion, 12, true, "...");
        var short_desc = isoftwares[index].short_desc;
        //short_desc = short_desc.length > 26 ? $.trim(short_desc).substring(0, 26) + "..." : short_desc;
        short_desc = $.textCut(short_desc, 26, true, "...");
        var average = $.averageScore(isoftwares[index].score, isoftwares[index].ratercount);
        var totalDownloadedCount = isoftwares[index].totalDownloadedCount;
        var origin = isoftwares[index].origin;
        var homepage = isoftwares[index].homepage;
        homepage = $.textCut(homepage, 20, true, "...");
        var long_desc = isoftwares[index].long_desc;
        html_str += "<div class='cont_l' id='" + software + "'>"
                + "<p class='cont_logo'><img src='../data/images/" + software + "/icon' /></p>"
                + "<h3>" + title + "</h3>"
                + "<p class='cont_star'>平均评分：<span id='average_score' class='font_p2'>" + average + "</span></p>"
                + "<p class='cont_star'>点击评分：<span id='star' style='display:inline-block;'></span></p>"
                + "<p class='tc'>"
                + "<input type='button' btype='install' ";
        if(isoftwares[index].softwareStatus === STATUS_CAN_BE_INSTALLED){
            html_str += " value='安装' class='btn_comm btn03 installSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_INSTALLING){
            html_str += " value='正在安装' class='btn_comm btn03 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_INSTALLED){
			if(!!isoftwares[index].method && isoftwares[index].method == 1){
				html_str += " value='打开' class='btn_comm  btn01 openSoftware '";
			}else{
				html_str += " value='已安装' class='btn_comm  btn01 disabled' disabled='true'";
			}
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_REMOVED){
            html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_REMOVING){
            html_str += " value='正在卸载' class='btn_comm btn02 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_REMOVED){
            html_str += " value='已卸载' class='btn_comm btn02 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_UPGRADED){
            html_str += " value='升级' class='btn_comm  btn_upgrade btn03 upgradeSoftware'";
        }else if(isoftwares[index].softwareStatus === STATUS_UPGRADING){

            html_str += " value='正在升级' class='btn_comm btn_upgrade btn03 disabled upgradeSoftware' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_UPGRADED){
            html_str += " value='已升级' class='btn_comm btn_upgrade btn03 disabled upgradeSoftware' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_CANCEL){
            if(APT_CANCEL_STATUS === "yes"){
                html_str += " value='取消' class='btn_comm cancelAPTTask'";
            }else {
                html_str += " value='取消' class='btn_comm disabled' disabled='true'";
            }
        }else if(isoftwares[index].softwareStatus === STATUS_CANCELING){
            html_str += " value='正在取消' class='btn_comm disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CANCELED){
            html_str += " value='已取消' class='btn_comm disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_CAN_BE_PAUSE){
            if(APT_PAUSE_STATUS === "yes"){
                html_str += " value='暂停' class='btn_comm btn03 pauseAPTTask'";
            }else {
                html_str += " value='暂停' class='btn_comm btn03 disabled' disabled='true'";
            }
        }else if(isoftwares[index].softwareStatus === STATUS_PAUSING){
            html_str += " value='正在暂停' class='btn_comm btn03 disabled' disabled='true'";
        }else if(isoftwares[index].softwareStatus === STATUS_PAUSED){
            html_str += " value='继续' class='btn_comm btn03 disabled' disabled='true'";
        }
        html_str += " software='" + software + "'"
                + " cversion='" + isoftwares[index].cversion + "'"
                + " packageName='" + software + "'"
                + " nv='" + isoftwares[index].cversion + "'"
                + " />"
                + "</p>"
                + "<ul class='cont_info'>"
                + "<li>最新版本：" + cversion + "</li>"
                + "<li>大小：" + $.convertFromkb(isoftwares[index].size) + "</li>"
                + "<li>下载：" + totalDownloadedCount + "</li>"
                + "<li>来源：" + origin + "</li>"
                + "<li>软件主页:</li>"
                + "<li><a href='#'>" + homepage + "</a></li>"
                + "</ul>"
                + "</div>";

         var right_html = " <div id='div_height'>"
                + "<dl class='cont_d'>"
                + "<dt>软件介绍</dt>"
                + "<dd>"
                + long_desc
                + "</dd>"
                +"<dt>用户评论<span style='color:red;'id='comment_count'>0</span>条</dt>"
                +"<dd>"
                +"<input type='hidden' value=\"<s:property value='software.software'/>\" id='apppkgname'/>"
                +"<input type='hidden' value=\"<s:property value='software.id'/>\" id='appuuid'/>"
                +"<table class='table_p' id='comments'>"
                +"<tbody>"
                +"</tbody>"
                +"</table>"
                +"<div id='pagination'></div>"               
                +"<h3>发表评论</h3>"
                +"<table class='table_p' id='addcomment' style='width: 100%''>"
                +"<tbody>"
                +"<tr>"
                +"<td id='comment_error' style='color: red;'>"
                +"</td>"
                +"</tr>"
                +"<tr style='width: 80%'>"
                +"<td>"
                +"<textarea style='width:100%;height:72px;border: 1px;border-style: solid;border-color: green;overflow-x: hidden;overflow-y: auto;resize: vertical;' id='comment' onkeyup='checkLength(this)'; onmouseup='onRightClick(event)'; ></textarea>"
                +"<span class='wordage'>剩余字数：<span id='sy' style='color:Red;'>512</span></span>"
                +"</td>"
                +"</tr>"
                +"<tr>"
                +"<td style='float: right;'>"
                +"<input type='button' value='提交' id='comment_submit' class='btn_comm btn01'/>"
                +"</td>"
                +"</tr>"
                +"</tbody>"
                +"</table>"
                +"<div style='clear: both;''></div>"
                +"</dd>"
                + "</dl>"
                +"</div>";
        $(".showSoftware").html(html_str);
        $("#right_html").html(right_html);
    }
}



function showAPTTasks_small(isoftwares){
    var isEXEC = false;
    for(var index in isoftwares){
        var html_str = "";

        var software = isoftwares[index].software;
        if(software === "add_repository" || software === "update" || software===""){
            return; //添加源或更新源 不显示任务
        }
        var softwareStatus = isoftwares[index].softwareStatus;

        var APT_CMD = isoftwares[index].APT_CMD;
        var APT_EXEC_STATUS = isoftwares[index].APT_EXEC_STATUS;
        var BYTES_DONE = isoftwares[index].BYTES_DONE;
        var BYTES_TOTAL = isoftwares[index].BYTES_TOTAL;
        var SPEED = isoftwares[index].SPEED;
        var PROGRESS = isoftwares[index].PROGRESS;
        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;
        var apt_exec_type = getAPTExecType(isoftwares[index]);

	if(APT_EXEC_STATUS === "notAuthorized" || APT_EXEC_STATUS === "success"){
		 $(".showAPTTasks_small li[id='"+software+"']").remove();
		continue;
	}
        PROGRESS = calcProgress(isoftwares[index]);
        if(BYTES_DONE === "" || BYTES_TOTAL === "" || SPEED === ""){
            BYTES_DONE = "0 B";
            BYTES_TOTAL = "0 B";
            SPEED = "0 B/s";
        }
        if(apt_exec_type !== "等待" && apt_exec_type !== "等待中"
                && apt_exec_type !== "下载中"){
            BYTES_DONE = $.convertFromkb(isoftwares[index].size);
            BYTES_TOTAL = $.convertFromkb(isoftwares[index].size);
            SPEED = "";
        }

        if(softwareStatus !== STATUS_INSTALLED && softwareStatus !== STATUS_REMOVED
                && softwareStatus !== STATUS_UPGRADED
                && softwareStatus !== STATUS_CANCELED){
            var title = isoftwares[index].title;
            title = $.textCut(title, 18, true, "...");
	    var error_s = "";
            if(APT_EXEC_STATUS && (APT_EXEC_STATUS === "downloadFailed" || APT_EXEC_STATUS === "failed")){
                error_s = " class='error' ";
            }
            html_str += "<li id='" + software + "'>"
                    + "<span class='fl_img'><img src='../data/images/" + software + "/icon' /></span>"
                    + "<div class='progress'>"
                    + "<p>" + title + "<span style='font-weight: normal;font-size: 12px;'> - " + apt_exec_type + "</span></p>"
                    + "<div class='bar_w'>";
            if(PROGRESS > 0 && PROGRESS <= 100){
                html_str += "<span style='width:" + PROGRESS + "%' " + error_s + "></span>";
            }
            html_str += "<div>" + BYTES_DONE;
            if(SPEED !== ""){
                html_str += " - " + SPEED;
            }
            html_str += "</div>"
                    + "</div>";
            html_str += "<input type='submit'";
            if(APT_EXEC_STATUS === "pending"){
                if(APT_CMD === "install"){
                    html_str += " value='||' class='btn_comm btn_pause pauseAPTTask installSoftware'";
                }else if(APT_CMD === "remove"){
                    html_str += " value='||' class='btn_comm btn_pause pauseAPTTask  removeSoftware'";
                }else if(APT_CMD === "upgrade"){
                    html_str += " value='||' class='btn_comm btn_pause pauseAPTTask  upgradeSoftware'";
                }else{
                    html_str += " value='||' class='btn_comm btn_pause pauseAPTTask'";
		}
            }else if(APT_EXEC_STATUS === "downloadFailed" || APT_EXEC_STATUS === "paused"){
                if(APT_CMD === "install"){
                    html_str += " value='►' class='btn_comm  btn_continue installSoftware'";
                }else if(APT_CMD === "remove"){
                    html_str += " value='►' class='btn_comm  btn_continue removeSoftware'";
                }else if(APT_CMD === "upgrade"){
                    html_str += " value='►' class='btn_comm  btn_continue upgradeSoftware'";
                }
            }else{
                if(softwareStatus === STATUS_CAN_BE_INSTALLED){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask installSoftware'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_INSTALLING){
                    if(APT_PAUSE_STATUS === "yes" && APT_EXEC_STATUS!="inprogress"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask installSoftware'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_INSTALLED){

                }else if(softwareStatus === STATUS_CAN_BE_REMOVED){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask removeSoftware'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled ' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_REMOVING){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask removeSoftware'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_REMOVED){

                }else if(softwareStatus === STATUS_CAN_BE_UPGRADED){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask upgradeSoftware'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_UPGRADING){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask  disabled' disabled='true'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_UPGRADED){

                }else if(softwareStatus === STATUS_CAN_BE_CANCEL){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_CANCELING){
                    html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                }else if(softwareStatus === STATUS_CANCELED){
                    html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                }else if(softwareStatus === STATUS_CAN_BE_PAUSE){
                    if(APT_PAUSE_STATUS === "yes"){
                        html_str += " value='||' class='btn_comm btn_pause pauseAPTTask'";
                    }else {
                        html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_PAUSING){
                    html_str += " value='||' class='btn_comm btn_pause disabled' disabled='true'";
                }else if(softwareStatus === STATUS_PAUSED){
                    if(isEXEC){
                        if(APT_CMD === "install"){
                            html_str += " value='||' class='btn_comm btn_pause  disabled installSoftware' disabled='true'";
                        }else if(APT_CMD === "remove"){
                            html_str += " value='||' class='btn_comm btn_pause  disabled removeSoftware' disabled='true'";
                        }else if(APT_CMD === "upgrade"){
                            html_str += " value='||' class='btn_comm btn_pause  disabled upgradeSoftware' disabled='true'";
                        }
                    }else{
                        if(APT_CMD === "install"){
                            html_str += " value='►' class='btn_comm btn_continue installSoftware'";
                        }else if(APT_CMD === "remove"){
                            html_str += " value='►' class='btn_comm btn_continue  removeSoftware'";
                        }else if(APT_CMD === "upgrade"){
                            html_str += " value='►' class='btn_comm btn_continue  upgradeSoftware'";
                        }
                    }
                }
            }
            html_str += " software='" + software + "'"
                    + " cversion='" + isoftwares[index].cversion + "'"
                    + " packageName='" + software + "'"
                    + " cv='" + isoftwares[index].cversion + "'"
            //        + " title='" + isoftwares[index].title + "'"
                    + " sys='" + isoftwares[index].isSys + "'"
                    + " nv='" + isoftwares[index].cversion + "'"
                    + " />"
                    + "<input type='submit'";
            if(APT_EXEC_STATUS === "pending"){
                html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
            }else if(APT_EXEC_STATUS === "downloadFailed" || APT_EXEC_STATUS === "failed"){
					 html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
	
				}else if(APT_EXEC_STATUS === "paused"){
                if(softwareStatus === STATUS_PAUSED){
                    html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                }
            }else{
                if(softwareStatus === STATUS_CAN_BE_INSTALLED){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_INSTALLING){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask disabled' disabled='true'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_INSTALLED){

                }else if(softwareStatus === STATUS_CAN_BE_REMOVED){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_REMOVING){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask disabled' disabled='true'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_REMOVED){

                }else if(softwareStatus === STATUS_CAN_BE_UPGRADED){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_UPGRADING){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask disabled' disabled='true'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_UPGRADED){

                }else if(softwareStatus === STATUS_CAN_BE_CANCEL){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_CANCELING){
                    html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                }else if(softwareStatus === STATUS_CANCELED){
                    html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                }else if(softwareStatus === STATUS_CAN_BE_PAUSE){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }else if(softwareStatus === STATUS_PAUSING){
                    html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                }else if(softwareStatus === STATUS_PAUSED){
                    if(APT_CANCEL_STATUS === "yes"){
                        html_str += " value='×' class='btn_comm btn_cancel cancelAPTTask'";
                    }else {
                        html_str += " value='×' class='btn_comm btn_cancel disabled' disabled='true'";
                    }
                }
            }
            html_str += " software='" + software + "'"
                    + " cversion='" + isoftwares[index].cversion + "'"
                    + " />";
            html_str += "</div>"
                    + "</li>";
        }
        if($(".showAPTTasks_small").has("[id='" + software + "']").length){
            $(".showAPTTasks_small [id='" + software + "']").replaceWith(html_str);
        }else {
            $(".showAPTTasks_small").append(html_str);
        }

    }
}

function showRemoveSoftwares(softwares){
    var hasSoftwares = $(".showRemoveSoftwares tr").length;     //在循环前获取对应类型软件数量，确保正确顺序显示软件

    var remove_total_count = softwares.length;
    var free_space = "0M";
    var deb_count = 0;
    var less_count = 0;
    var recently_count = 0;

    for(var index in softwares){
        var html_str = "";
        var status = softwares[index].status;
        var packageName = softwares[index].packageName;

        if(status !== STATUS_REMOVED){
            var title = softwares[index].title;
            title = $.textCut(title, 18, true, "...");
            var short_desc = $._unescape(softwares[index].short_desc);
            short_desc = $.textCut(short_desc, 50, true, "...");

            html_str += "<tr id='" + packageName + "'>"
                    //+ "<td><input type='checkbox' /></td>"
                    + "<td><span class='fl_img'><img src='../data/images/" + packageName + "/icon' /></span>" + title + "</td>"
                    + "<td>" + short_desc + "<a href='javascript:_viewSoftware(\""+packageName+"\")' class='link_see'>详细</a></td>"
                    + "<td>" + $.convertFromkb(softwares[index].size) + "</td>"
                    + "<td>";
            html_str += "<div class='installedTime'>" + long2Date(softwares[index].installedTime) + "</div>";
            html_str += "</td>"
                    // + "<td>三月内</td>"
                    + "<td style='text-align:center;'>"
                    + "<input type='button'";
            if(softwares[index].status === STATUS_CAN_BE_INSTALLED){

            }else if(softwares[index].status === STATUS_INSTALLING){

            }else if(softwares[index].status === STATUS_INSTALLED){
                html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
            }else if(softwares[index].status === STATUS_CAN_BE_REMOVED){
                html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
            }else if(softwares[index].status === STATUS_REMOVING){
                html_str += " value='正在卸载' class='btn_comm btn02 removeSoftware disabled' disabled='true'";
            }else if(softwares[index].status === STATUS_REMOVED){
                html_str += " value='已卸载' class='btn_comm btn02 disabled' disabled='true'";
            }else if(softwares[index].status === STATUS_CAN_BE_UPGRADED){
                html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
            }else if(softwares[index].status === STATUS_UPGRADING){

            }else if(softwares[index].status === STATUS_UPGRADED){
                html_str += " value='卸载' class='btn_comm btn02 removeSoftware'";
            }else if(softwares[index].status === STATUS_CAN_BE_CANCEL){

            }else if(softwares[index].status === STATUS_CANCELING){

            }else if(softwares[index].status === STATUS_CANCELED){

            }else if(softwares[index].status === STATUS_CAN_BE_PAUSE){

            }else if(softwares[index].status === STATUS_PAUSING){
            html_str += " value='正在卸载' class='btn_comm btn02 disabled' disabled='true'";
            }else if(softwares[index].status === STATUS_PAUSED){
            html_str += " value='正在卸载' class='btn_comm btn02 disabled' disabled='true'";
            }
            html_str += " packageName='" + packageName + "'"
                    + " cv='" + softwares[index].cv + "'"
                    + " title='" + softwares[index].title + "'"
                    + " sys='" + softwares[index].sys + "'"
                    + " />";
			if(!!softwares[index].method && softwares[index].method == 1){
				html_str += "  <input type='button' packageName='"+packageName+"' value='打开' class='btn_comm btn01 openSoftware'/>"
			}else{
				html_str += "  <input type='button' packageName='"+packageName+"' value='已安装' class='btn_comm btn01 disabled' disabled='true'/>";
			}
            html_str += "<div class='changeProgress'><div class='bar_w'></div></div>";
            html_str += "</td>";
            html_str += "<td class='changeAptExecType'></td>"
                    + "</tr>";
        }

        if($(".showRemoveSoftwares").has("[id='" + packageName + "']").length){
            $(".showRemoveSoftwares [id='" + packageName + "']").replaceWith(html_str);
        }else {
            if(hasSoftwares){
                $(".showRemoveSoftwares").prepend(html_str);
            }else {
                $(".showRemoveSoftwares").append(html_str);
            }
        }

        if(status === STATUS_REMOVING){
            $(".showRemoveSoftwares [id='" + packageName + "'] .changeProgress").show();
            //$(".showRemoveSoftwares [id='" + packageName + "'] .installedTime").hide();
            $(".showRemoveSoftwares [id='" + packageName + "'] .btn_comm").hide();
            $(".showRemoveSoftwares [id='" + packageName + "'] .changeAptExecType").empty().append("执行中");
        }else{
            $(".showRemoveSoftwares [id='" + packageName + "'] .changeProgress").hide();
            //$(".showRemoveSoftwares [id='" + packageName + "'] .installedTime").show();
            $(".showRemoveSoftwares [id='" + packageName + "'] .btn_comm").show();
            $(".showRemoveSoftwares [id='" + packageName + "'] .changeAptExecType").empty();
        }

        $(".remove_total_count").text(remove_total_count);
        $(".free_space").text(free_space);
        $(".deb_count").text(deb_count);
        $(".less_count").text(less_count);
        $(".recently_count").text(recently_count);
    }
}

function showUpgradeSoftwares(softwares){
    var softwareType = "free";
    var hasSoftwares = $(".showUpgradeSoftwares." + softwareType + " tr").length;   //在循环前获取对应类型软件数量，确保正确顺序显示软件

    var upgrade_total_count = softwares.length; //分页数据的时候怎么取

    var office_count = 0;
    var free_count = upgrade_total_count;
    var charge_count = 0;
    var test_count = 0;
    var canBeUpgraded_count = 0;
    var ignored_count = 0;

    for(var index in softwares){
        var html_str = "";
        var status = softwares[index].status;
        var packageName = softwares[index].packageName;
        var ignored = softwares[index].ignored;
        var record = softwares[index].record;

        if(status !== STATUS_UPGRADED){
            var title = softwares[index].title;
            title = $.textCut(title, 12, true, "...");
            var short_desc = softwares[index].short_desc;
            short_desc = $.textCut(short_desc, 35, true, "...");
            var cv = softwares[index].cv;
            cv = $.textCut(cv, 20, true, "...");
            var nv = softwares[index].nv;
            nv = $.textCut(nv, 20, true, "...");

            html_str += "<tr id='" + packageName + "'>"
                    //+ "<td width='4%'><input type='checkbox' /></td>"
                    + "<td width='20%'><span class='fl_img'><img src='../data/images/" + packageName + "/icon' /></span>" + title + "</td>"
                    + "<td width='15%'>"
                    + short_desc;
            if(record === RECORD_YES){
                html_str += "<a href='javascript:_viewSoftware(\""+packageName+"\")' class='link_see'>详细</a>";
            }
            html_str += "</td>"
                    + "<td width='10%'>" + $.convertFromkb(softwares[index].size) + "</td>"
                    + "<td width='22%'>";
            html_str += "<div class='cv_nv'>已装：<span class='font_p'>" + cv + "</span>"
                    + "<p>最新：<span class='font_p'>" + nv + "</span></p></div>";
            html_str += "</td>"
                    // + "<td width='10%'>52%用户已升级</td>"
                    + "<td width='25%' style='text-align:center;'>"
                    + "<input type='button'";
            html_str += " value='恢复' class='btn_comm btn_recover recoverSoftware'"
            html_str += " packageName='" + packageName + "'"
                    + " nv='" + softwares[index].nv + "'"
                    + " />"
                    + "<input type='button'";
            if(softwares[index].status === STATUS_UPGRADING){

                html_str += " value='忽略' class='btn_comm btn_ignore disabled' disabled='true'"
            }else{
                html_str += " value='忽略' class='btn_comm btn_ignore ignoreSoftware'"
            }

            html_str += " packageName='" + packageName + "'"
                    + " nv='" + softwares[index].nv + "'"
                    + " />"
                    + "<input type='button'";
            if(softwares[index].status === STATUS_CAN_BE_INSTALLED){

            }else if(softwares[index].status === STATUS_INSTALLING){

            }else if(softwares[index].status === STATUS_INSTALLED){

            }else if(softwares[index].status === STATUS_CAN_BE_REMOVED){

            }else if(softwares[index].status === STATUS_REMOVING){

            }else if(softwares[index].status === STATUS_REMOVED){

            }else if(softwares[index].status === STATUS_CAN_BE_UPGRADED){
                html_str += " value='升级' class='btn_comm btn_upgrade btn03 upgradeSoftware'";
            }else if(softwares[index].status === STATUS_UPGRADING){
                html_str += " value='正在升级' class='btn_comm btn_upgrade btn03 disabled upgradeSoftware' disabled='true'";
            }else if(softwares[index].status === STATUS_UPGRADED){
                html_str += " value='已升级' class='btn_comm btn_upgrade btn03 disabled upgradeSoftware' disabled='true'";
            }else if(softwares[index].status === STATUS_CAN_BE_CANCEL){

            }else if(softwares[index].status === STATUS_CANCELING){

            }else if(softwares[index].status === STATUS_CANCELED){

            }else if(softwares[index].status === STATUS_CAN_BE_PAUSE){

            }else if(softwares[index].status === STATUS_PAUSING){

            }else if(softwares[index].status === STATUS_PAUSED){

            }
            html_str += " packageName='" + packageName + "'"
                    + " nv='" + softwares[index].nv + "'"
                    + " />";
            html_str += "<div class='changeProgress'><div class='bar_w'></div></div>"
                    + "</td>";
            html_str += "<td width='8%' class='changeAptExecType'></td>"
                    + "</tr>";
        }

        if(ignored === IGNORED_YES){
            ignored_count ++;
            softwareType = "ignored";
        }else{
            canBeUpgraded_count ++;
            softwareType = "canBeUpgraded";
        }

        if($(".showUpgradeSoftwares").has("[id='" + packageName + "']").length){
            $(".showUpgradeSoftwares [id='" + packageName + "']").replaceWith(html_str);
        }else {
            if(hasSoftwares){
                $(".showUpgradeSoftwares." + softwareType).prepend(html_str);
            }else {
                $(".showUpgradeSoftwares." + softwareType).append(html_str);
            }
        }
        

        if(status === STATUS_UPGRADING){
            $(".showUpgradeSoftwares [id='" + packageName + "'] .changeProgress").show();
            //$(".showUpgradeSoftwares [id='" + packageName + "'] .cv_nv").hide();
            $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_comm").hide();
            $(".showUpgradeSoftwares [id='" + packageName + "'] .changeAptExecType").empty().append("执行中");
        }else{
            $(".showUpgradeSoftwares [id='" + packageName + "'] .changeProgress").hide();
            //$(".showUpgradeSoftwares [id='" + packageName + "'] .cv_nv").show();
            $(".showUpgradeSoftwares [id='" + packageName + "'] .changeAptExecType").empty();
            if(ignored === IGNORED_YES){
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_recover").show();
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_ignore").hide();
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_upgrade").hide();
            }else{
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_recover").hide();
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_ignore").show();
                $(".showUpgradeSoftwares [id='" + packageName + "'] .btn_upgrade").show();
            }
        }

        $(".upgrade_total_count").text(canBeUpgraded_count);
        $(".office_count").text(office_count);
        $(".free_count").text(free_count);
        $(".charge_count").text(charge_count);
        $(".test_count").text(test_count);
        $(".canBeUpgraded_count").text(canBeUpgraded_count);
        $(".ignored_count").text(ignored_count);
    }
}

function changeButtonStatus(isoftwares){
    for(var index in isoftwares){
        var software = isoftwares[index].software;
        var softwareStatus = isoftwares[index].softwareStatus;
        var APT_PAUSE_STATUS = isoftwares[index].APT_PAUSE_STATUS;
        var APT_CANCEL_STATUS = isoftwares[index].APT_CANCEL_STATUS;
         var APT_EXEC_STATUS =  isoftwares[index].APT_EXEC_STATUS
	var _btn = $("[id='" + software + "'] .btn_comm");

        if(softwareStatus === STATUS_CAN_BE_INSTALLED){
            _btn.removeClass("btn01 btn02 disabled removeSoftware upgradeSoftware openSoftware")
                .addClass("btn03 installSoftware").removeAttr("disabled");
		setText(_btn,"安装");
        }else if(softwareStatus === STATUS_INSTALLING){
            /*_btn.removeClass("btn01 btn02 installSoftware removeSoftware upgradeSoftware")
                .addClass("btn03 disabled").attr("disabled", true);*/
				_btn.attr("disabled", true);
	    if($(".showAPTTasks_small").size() > 0){
		_btn.val("||");
            }else{
		setText(_btn,"正在安装");
            }
        }else if(softwareStatus === STATUS_INSTALLED){
				_btn.removeClass("btn02 btn03 installSoftware removeSoftware upgradeSoftware openSoftware").addClass("btn01");
			if(!!isoftwares[index].method && isoftwares[index].method == 1){
                		_btn.removeClass("disabled").removeAttr("disabled").addClass("openSoftware");
				setText(_btn,"打开");
			}else{
				_btn.removeClass("openSoftware").attr("disabled",true).unbind("click");
				setText(_btn,"已安装");
			}
            //新安装的软件自动加入到卸载列表，并保持在最上方
            listRemoveSoftwares();
        }else if(softwareStatus === STATUS_CAN_BE_REMOVED){
		if($(".showRemoveSoftwares").length){

            _btn.filter(function(){
                if($(this).val()=='正在卸载'){
                    return true;
                }else{
                    return false;
                }}).removeClass("btn01 btn03 disabled installSoftware upgradeSoftware")
		        .addClass("btn02 removeSoftware").removeAttr("disabled")
		        .val("卸载");
		}else{
				 _btn.removeClass("btn02 btn03 installSoftware upgradeSoftware openSoftware").addClass("btn01");
			 if(!!isoftwares[index].method && isoftwares[index].method == 1){
				_btn.removeClass("disabled").addClass("openSoftware").removeAttr("disabled");
            			setText(_btn,"打开");
			 }else{
				_btn.removeClass("openSoftware").attr("disabled",true).unbind("click");
				setText(_btn,"已安装");
			 }
		}
        }else if(softwareStatus === STATUS_REMOVING){
            /*_btn.removeClass("btn01 btn03 installSoftware  upgradeSoftware")
                .addClass("btn02 disabled").attr("disabled", true);
	    if($(".showAPTTasks_small").size() > 0){
		_btn.val("||");
            }else{
		_btn.val("正在卸载");
            }*/
        }else if(softwareStatus === STATUS_REMOVED){
            _btn.removeClass("btn01 btn03 installSoftware removeSoftware upgradeSoftware openSoftware")
                .addClass("btn02 disabled").attr("disabled", true)
                .val("已卸载");
            //自动删除已卸载的软件所在行
            $(".showRemoveSoftwares [id='" + software + "']").remove();
            $(".remove_total_count").text(parseInt($(".remove_total_count").first().text()) - 1);
            //升级列表页面不需要改变（进入升级列表页面时，已经看不到正在卸载、已卸载的软件）
            //$(".upgrade_total_count").text(parseInt($(".upgrade_total_count").first().text()) - 1);
            //$(".showUpgradeSoftwares [id='" + software + "']").parent().parent().parent().prev().find("span")
                //.text(parseInt($(".showUpgradeSoftwares [id='" + software + "']").parent().parent().parent().prev().find("span").first().text()) - 1);
            $(".showUpgradeSoftwares [id='" + software + "']").remove();
            upgradeCountShow();
            //软件列表界面变换按钮为可安装状态
            _btn.removeClass("btn01 btn02 disabled removeSoftware upgradeSoftware openSoftware")
                .addClass("btn03 installSoftware").removeAttr("disabled");
            setText(_btn,"安装");
        }else if(softwareStatus === STATUS_CAN_BE_UPGRADED){

            $("[id='" + software + "'] .btn_comm.btn_ignore").removeClass("btn01 btn02 btn03 disabled installSoftware removeSoftware upgradeSoftware")
                .addClass("ignoreSoftware").removeAttr("disabled")
                .val("忽略");
            $("[id='" + software + "'] .btn_comm.btn_upgrade").removeClass("btn01 btn02 disabled installSoftware removeSoftware")
                .addClass("btn03 upgradeSoftware").removeAttr("disabled")
                .val("升级");

            $("[id='" + software + "'] .btn_comm.removeSoftware").removeClass("disabled")
                .addClass("btn02 removeSoftware").removeAttr("disabled")
                .val("卸载");
        }else if(softwareStatus === STATUS_UPGRADING){
            $("[id='" + software + "'] .btn_comm.btn_ignore").removeClass("btn01 btn02 btn03 installSoftware removeSoftware upgradeSoftware ignoreSoftware")
                .addClass("disabled").attr("disabled", true)
                .val("忽略");
            $("[id='" + software + "'] .btn_comm.btn_upgrade").removeClass("btn01 btn02 installSoftware removeSoftware ")
                .addClass("btn03 disabled").attr("disabled", true);
        }else if(softwareStatus === STATUS_UPGRADED){
            $("[id='" + software + "'] .btn_comm.btn_upgrade").removeClass("btn01 btn02 installSoftware removeSoftware upgradeSoftware")
                .addClass("btn03 disabled").attr("disabled", true)
                .val("已升级");
            //自动删除已升级的软件所在行
            $(".showUpgradeSoftwares [id='" + software + "']").remove();
            $(".upgrade_total_count").text(parseInt($(".upgrade_total_count").first().text()) - 1);
            $(".canBeUpgraded_count").text(parseInt($(".canBeUpgraded_count").first().text()) - 1);
            upgradeCountShow();
            //新升级的软件自动加入到卸载列表，并保持在最上方
            listRemoveSoftwares();
        }else if(softwareStatus === STATUS_CAN_BE_CANCEL){
            if(APT_CANCEL_STATUS === "yes"){
                $("[id='" + software + "'] .btn_comm.btn_cancel").removeClass("btn01 btn02 btn03 disabled")
                    .addClass("cancelAPTTask").removeAttr("disabled")
                    .val("取消");
            }else {
                $("[id='" + software + "'] .btn_comm.btn_cancel").removeClass("btn01 btn02 btn03 cancelAPTTask")
                    .addClass("disabled").attr("disabled", true)
                    .val("取消");
            }
        }else if(softwareStatus === STATUS_CANCELING){
	    var _btn_c = $("[id='" + software + "'] .btn_comm.btn_cancel");
            _btn_c.removeClass("btn01 btn02 btn03 cancelAPTTask")
                .addClass("disabled").attr("disabled", true);
	    if($(".showAPTTasks_small").size() > 0){
		_btn_c.val("×");
            }else{
        _btn_c.val("正在取消");
            }
        }else if(softwareStatus === STATUS_CANCELED){
            var _btn_d  = $("[id='" + software + "'] .btn_comm.btn_ignore");
                if(_btn_d  != undefined){
                       _btn_d.removeClass("btn01 btn02 btn03 disabled").removeAttr("disabled");

                    $(".ignoreSoftware").bind('click', function(){
                        ignoreSoftware_click($(this));
                    });

                    $(".recoverSoftware").bind('click', function(){
                        recoverSoftware_click($(this));
                    });
                }

	    var _btn_c = $("[id='" + software + "'] .btn_comm.btn_cancel");
            _btn_c.removeClass("btn01 btn02 btn03 cancelAPTTask")
                .addClass("disabled").attr("disabled", true)
                .val("已取消");

           setText($("[id='" + software + "'] .btn_comm.removeSoftware").removeClass("disabled").removeAttr("disabled"),"卸载");
            setText($("[id='" + software + "'] .btn_comm.upgradeSoftware").removeClass("disabled").removeAttr("disabled"),"升级");
            setText($("[id='" + software + "'] .btn_comm.installSoftware").removeClass("disabled").removeAttr("disabled"),"安装");
            setText($("[id='" + software + "'] .btn_comm.openSoftware").addClass("btn01").removeClass("disabled installSoftware upgradeSoftware removeSoftware btn02 btn03").removeAttr("disabled"),"打开");
        }else if(softwareStatus === STATUS_CAN_BE_PAUSE){
            if(APT_PAUSE_STATUS === "yes"){
                $("[id='" + software + "'] .btn_comm.btn_pause").removeClass("btn01 btn02 disabled")
                    .addClass("btn03 pauseAPTTask").removeAttr("disabled")
                    .val("暂停");
            }else {
                $("[id='" + software + "'] .btn_comm.btn_pause").removeClass("btn01 btn02 pauseAPTTask")
                    .addClass("btn03 disabled").attr("disabled", true)
                    .val("暂停");
            }
        }else if(softwareStatus === STATUS_PAUSING){
            var _btn_p = $("[id='" + software + "'] .btn_comm.btn_pause");
            _btn_p.removeClass("btn01 btn02 pauseAPTTask")
                .addClass("btn03 disabled").attr("disabled", true);
	    if($(".showAPTTasks_small").size() > 0){
		_btn_c.val("||");
            }else{
		_btn_c.val("正在暂停");
            }
        }else if(softwareStatus === STATUS_PAUSED){
            var _btn_p = $("[id='" + software + "'] .btn_comm.btn_pause");
	    var _btn_c = $("[id='" + software + "'] .btn_comm.btn_cancel");
            	_btn_p.removeClass("btn01 btn02 pauseAPTTask");
	    if($(".showAPTTasks_small").size() > 0){
		_btn_p.removeClass("btn01 btn02 btn03 disabled ").addClass("btn_continue").removeAttr("disabled"); 
		_btn_p.val("►");
            }else{
		_btn_p.addClass("btn03 disabled").attr("disabled", true).val("继续");
            }
        }
    }
}

function getAPTExecType(isoftware){
    var APT_CMD = isoftware.APT_CMD;
    var APT_EXEC_STATUS = isoftware.APT_EXEC_STATUS;
    var BYTES_DONE = isoftware.BYTES_DONE;
    var BYTES_TOTAL = isoftware.BYTES_TOTAL;
    var SPEED = isoftware.SPEED;
    var PROGRESS = isoftware.PROGRESS;
    var APT_PAUSE_STATUS = isoftware.APT_PAUSE_STATUS;
    var APT_CANCEL_STATUS = isoftware.APT_CANCEL_STATUS;

    var apt_exec_type = "";
    if(APT_EXEC_STATUS === "pending"){
        apt_exec_type = "等待";
    }else if(APT_EXEC_STATUS === "inprogress"){
        apt_exec_type = "执行中";
        if(0 <= PROGRESS && PROGRESS <=50){
            apt_exec_type = "等待中";
            if(APT_CMD === "install"){
                if(SPEED === ''){
                    apt_exec_type = "等待中";
                }
                else{
                    apt_exec_type = "下载中";
                }
            }else if(APT_CMD === "remove"){
                apt_exec_type = "卸载中";
            }else if(APT_CMD === "upgrade"){
                if(SPEED === ''){
                    apt_exec_type = "等待中";
                }
                else{
                    apt_exec_type = "下载中";
                }
            }else if(APT_CMD === "cancel"){
                apt_exec_type = "取消中";
            }else if(APT_CMD === "paused"){
                apt_exec_type = "暂停中";
            }else if(APT_CMD === "add_repository"){
                apt_exec_type = "添加源中";
            }else if(APT_CMD === "update"){
                apt_exec_type = "更新源中";
            }
        }else{
                if(APT_CMD === "install"){
                    if(SPEED === ''){
                        apt_exec_type = "安装中";
                    }
                    else{
                        apt_exec_type = "下载中";
                    }
                }else if(APT_CMD === "remove"){
                    apt_exec_type = "卸载中";
                }else if(APT_CMD === "upgrade"){
                    if(SPEED === ''){
                        apt_exec_type = "升级中";
                    }
                    else{
                        apt_exec_type = "下载中";
                    }
                }else if(APT_CMD === "cancel"){
                    apt_exec_type = "取消中";
                }else if(APT_CMD === "paused"){
                    apt_exec_type = "暂停中";
                }else if(APT_CMD === "add_repository"){
                    apt_exec_type = "添加源中";
                }else if(APT_CMD === "update"){
                    apt_exec_type = "更新源中";
                }
        }

    }else if(APT_EXEC_STATUS === "success"){
        apt_exec_type = "完成";
    }else if(APT_EXEC_STATUS === "cancel"){
        apt_exec_type = "已取消";
    }else if(APT_EXEC_STATUS === "failed"){
        apt_exec_type = "错误";
    }else if(APT_EXEC_STATUS === "notAuthorized"){
        apt_exec_type = "取消授权";
    }else if(APT_EXEC_STATUS === "alreadyInstalled"){
        apt_exec_type = "已安装";
    }else if(APT_EXEC_STATUS === "notInstalled"){
        apt_exec_type = "已卸载";
    }else if(APT_EXEC_STATUS === "uptodate"){
        apt_exec_type = "已升级";
    }else if(APT_EXEC_STATUS === "downloadFailed"){
        apt_exec_type = "下载失败";
        //apt_exec_type = "失败";
    }else if(APT_EXEC_STATUS === "repoDownloadFailed"){
        //apt_exec_type = "更新源失败";
        apt_exec_type = "失败";
    }else if(APT_EXEC_STATUS === "paused"){
        apt_exec_type = "暂停";
    }

    return apt_exec_type;
}

var normal_PROGRESS = 0;
function calcProgress(isoftware){
    var APT_CMD = isoftware.APT_CMD;
    var APT_EXEC_STATUS = isoftware.APT_EXEC_STATUS;
    var BYTES_DONE = isoftware.BYTES_DONE;
    var BYTES_TOTAL = isoftware.BYTES_TOTAL;
    var SPEED = isoftware.SPEED;
    var PROGRESS = isoftware.PROGRESS;
    var APT_PAUSE_STATUS = isoftware.APT_PAUSE_STATUS;
    var APT_CANCEL_STATUS = isoftware.APT_CANCEL_STATUS;

    //if(APT_EXEC_STATUS === "inprogress"){
    if(0 <= PROGRESS && PROGRESS < 50){
        if(SPEED === ""){
            PROGRESS = 0;
        }else {PROGRESS = PROGRESS;}
    }/*else if(20 <= PROGRESS && PROGRESS <= 50){
        if(APT_CMD === "install"){
            if(SPEED === ""){
                PROGRESS = PROGRESS/10;
            }else {
                PROGRESS = PROGRESS;
            }
        }else if(APT_CMD === "upgrade"){
            if(SPEED === ""){
                PROGRESS = PROGRESS/10;
            }else {
                PROGRESS = PROGRESS;
            }
        }
    }*/else if(50 <= PROGRESS && PROGRESS <= 100){
            if(APT_CMD === "install"){
                if(SPEED === ""){
                    PROGRESS = (PROGRESS - 50)*2;
                }else{
                     PROGRESS = PROGRESS;
                }
            }
            else if(APT_CMD === "upgrade"){
                if(SPEED === ""){
                    PROGRESS = (PROGRESS - 50)*2;
                }else{
                     PROGRESS = PROGRESS;
                }
            }
    }

    if(APT_CMD === "cancel"){
        PROGRESS = normal_PROGRESS - PROGRESS*normal_PROGRESS/100;
    }else if(APT_CMD === "pause"){
        PROGRESS = normal_PROGRESS;
    }else {
        normal_PROGRESS = PROGRESS;
    }

    log("PROGRESS:" + PROGRESS);
    //}
    return PROGRESS;
}

function changeProgress(isoftwares){
    for(var index in isoftwares){
        var software = isoftwares[index].software;
        var softwareStatus = isoftwares[index].softwareStatus;

        var PROGRESS = calcProgress(isoftwares[index]);
        var apt_exec_type = getAPTExecType(isoftwares[index]);

        changeProgressSingle(PROGRESS, software, softwareStatus, apt_exec_type);
    }
}

function changeProgressSingle(PROGRESS, software, softwareStatus, apt_exec_type){
    var html_str = "";

    if(softwareStatus === STATUS_INSTALLING || softwareStatus === STATUS_REMOVING
            || softwareStatus === STATUS_UPGRADING){
        html_str += "<div class='bar_w'>";
        if(PROGRESS > 0 && PROGRESS <= 100){
            html_str += "<span style='width:" + PROGRESS + "%'></span>";
        }
        html_str += "</div>";

        //$("[id='" + software + "'] .changeProgress:not(.showAPTTasks .changeProgress)").show();
        $(".showISoftwares [id='" + software + "'] .changeProgress").show();
        $(".showRemoveSoftwares [id='" + software + "'] .changeProgress").show();
        $(".showUpgradeSoftwares [id='" + software + "'] .changeProgress").show();
        //$("[id='" + software + "'] .cv_nv").hide();
        //$("[id='" + software + "'] .installedTime").hide();
        //$("[id='" + software + "'] .presenter").hide();
        //$("[id='" + software + "'] .auditor").hide();
        //$("[id='" + software + "'] .star_bg").hide();
        //$("[id='" + software + "'] .btn_comm:not(.showAPTTasks .btn_comm)").hide();
        $(".showISoftwares [id='" + software + "'] .btn_comm").hide();
        $(".showRemoveSoftwares [id='" + software + "'] .btn_comm").hide();
        $(".showUpgradeSoftwares [id='" + software + "'] .btn_comm").hide();
    }else{
        //$("[id='" + software + "'] .changeProgress:not(.showAPTTasks .changeProgress)").hide();
        $(".showISoftwares [id='" + software + "'] .changeProgress").hide();
        $(".showRemoveSoftwares [id='" + software + "'] .changeProgress").hide();
        $(".showUpgradeSoftwares [id='" + software + "'] .changeProgress").hide();
        //$("[id='" + software + "'] .cv_nv").show();
        //$("[id='" + software + "'] .installedTime").show();
        //$("[id='" + software + "'] .presenter").show();
        //$("[id='" + software + "'] .auditor").show();
        //$("[id='" + software + "'] .star_bg").show();
        //$("[id='" + software + "'] .btn_comm:not(.showAPTTasks .btn_comm)").show();
        $(".showISoftwares [id='" + software + "'] .btn_comm").show();
        $(".showRemoveSoftwares [id='" + software + "'] .btn_comm").show();
        $(".showUpgradeSoftwares [id='" + software + "'] .btn_comm").show();
        $("[id='" + software + "'] .btn_recover").hide();
    }

    $("[id='" + software + "'] .changeProgress").empty().append(html_str);
    $("[id='" + software + "'] .changeAptExecType").empty().append(apt_exec_type);
    if(apt_exec_type=="下载失败" || apt_exec_type=="错误" ){
         $("[id='" + software + "'] div.bar_w span").addClass("error");
    }
}


function getTasksNum(){
    if($(".showAPTTasks_small").children().length>0){
        
        return "false";
    }
    else
    {
       return "true";
    }
}

function closeAlert(){
    $.artDialog.alert("有任务正在进行, 禁止退出程序!");
}

function startUpdating (flag) {
    sync.update(flag);
}

function updateAlert(update,deletenum){
      html_str="检测到本地源中"
      if(update){
            html_str+="有"+update.toString()+"款软件可以更新，"
       }
       if(deletenum){
           html_str+="有"+deletenum.toString()+"款软件在网络源中已被删除，"
       }
       html_str+="是否需要同步？"
       $.artDialog.confirm(html_str,function(){
            startUpdating("1");
        },function(){
            startUpdating("0");
        });
}
function updateFinish(errorCount){
	if(errorCount ==0)
	{
                $.artDialog.alert("同步完成！");
	}
	else
	{
		$.artDialog.alert("同步完成！存在"+errorCount+"软件包无法同步");
	}
}
